
import java.util.Date;

import org.hibernate.Session;
import org.hibernate.Transaction;

public class SimpleUpdateTest {
	
	
	public static void main(String[] args) {
		HibernateUtil.setup("create table EVENTS ( EVENT_ID int, EVENT_DATE date, title VARCHAR);");
		// hibernate code start
		Session session = HibernateUtil.currentSession();
		Transaction tx = session.beginTransaction();

		Event theEvent = new Event();
		theEvent.setTitle("My Event");
		theEvent.setDate(new Date());

		session.save(theEvent);

		tx.commit();
		HibernateUtil.closeSession();

		HibernateUtil.sessionFactory.close();
		// hibernate code end
		
		update();
		
		HibernateUtil.checkData("select * from events;");

	}
    public static void update(){
    	Session session = HibernateUtil.currentSession();
    	Transaction tx = session.beginTransaction();
    
    	Event e = (Event)session.get(Event.class, new Long(1));
    	
    	e.setTitle("new Title");
    	session.update(e);
    	
    	tx.commit();
    	HibernateUtil.closeSession();
    	
    }


}